admgroupadd(1M)

NAME
admgroupadd - creates a new group definition

SYNOPSIS

admgroupadd -g gid [-x members=member1[,member2...]]
[-x ns=NIS+|NIS|NONE]
[-x domain=domain|rhost=host]
[-x passwd=password]
group

DESCRIPTION
The Solstice admgroupadd command creates a new group definition by adding the appropriate entry to the group database.

AVAILABILITY

SUNWsadmb package.

OPTIONS

-g gid
    The group ID for the new group. The group ID must be a non-negative decimal integer below MAXUID as defined in the <sys/param.h> file (60002). Group IDs 0-99 are reserved for the system and should be used with care.

-x  Indicates that extended, nonstandard options follow.

    members=member1[,member2...]
        Members to be included in the group.

    ns=NIS+|NIS|NONE
        Sets name service. The default is to use the name service configured on the host on which the command is run. The precedence is NIS+, NIS, then NONE.
        NIS+
            Updates the NIS+ group table for the current domain.

        NIS Updates the NIS group table for the current domain.

        NONE
            Updates the local /etc/group file.

    domain=domain|rhost=host
        Specifies domain or remote host. The domain can be specified when the value for the ns parameter is NIS+ or NIS. The domain defaults to the current systems domain. The rhost may be specified when the value for the ns parameter is NONE. The rhost defaults to the current system. The rhost parameter may be used to update the local files on the specified host. The machine specified as an argument to rhost must be running AdminSuite 2.1 or later for the command to complete successfully.

    passwd=password
        Specifies the group password that is set when the group is added. The group password gives your group files added security so that anyone outside of your group can not read your files without entering the group password.

    group
        The name of the group to add. The name can contain lowercase letters and numbers.

ENVIRONMENT

See environ(5) for descriptions of the following environment variables that affect the execution of admgroupadd: LANG, LC_ALL, LC_CTYPE, and LC_MESSAGES.

ERRORS

The admgroupadd command exits with one of the following values:

0   Success.

1   Invalid command syntax. A usage message for the admgroupadd command is displayed.

2   An error occurred while executing the command. An exception code and error message are displayed.

RESTRICTIONS
You must be a member of UNIX group 14, the sysadmin group, to execute this command. Also, if ns=NIS+, you must be a member of the NIS+ admin group (See nisgrpadm(1)). Interrupt signal handling is disabled while adding the group to insure that the system is in a consistent state.

EXAMPLES
The following command adds a group to the NIS name service's mysite.com domain. admgroupadd -x ns=NIS -x domain=mysite.com -g 200 testgroup The following command adds new members to an existing group named testgroup. admgroupadd -x ns=NIS -x members=joe,lyla,james -g 200 testgroup The following command updates the /etc/group file on a remote host named remote_system rather than in a name service database. Note that the rhost option can only be used when ns=NONE. admgroupadd -x ns=NONE rhost=remote_system -g 300 localgroup

FILES
/etc/group

SEE ALSO
admgroupls(1M), admgroupdel(1M), admgroupmod(1M)